Search
Run one module immediately
Execute a single module against one query target and return immediate cards in the same response. This endpoint runs only the provided module and does not require stream consumption.
POST
/
search
/
module
/
once
Run one module immediately
curl --request POST \
--url https://api.osint.ly/search/module/once \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": {
"type": "Pseudonym",
"value": "EstePrimeWorld"
},
"module_id": "2e48da48-0f14-457c-92d4-c44cd68b3fdc",
"cache": {
"mode": "prefer"
}
}
'import requests
url = "https://api.osint.ly/search/module/once"
payload = {
"query": {
"type": "Pseudonym",
"value": "EstePrimeWorld"
},
"module_id": "2e48da48-0f14-457c-92d4-c44cd68b3fdc",
"cache": { "mode": "prefer" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: {type: 'Pseudonym', value: 'EstePrimeWorld'},
module_id: '2e48da48-0f14-457c-92d4-c44cd68b3fdc',
cache: {mode: 'prefer'}
})
};
fetch('https://api.osint.ly/search/module/once', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"search": {
"id": "aff38600-cf11-45cc-a489-8706dcaaab88",
"status": "finished",
"created_at": "2026-06-14T19:20:14.209Z",
"completed_at": "2026-06-14T19:20:16.419Z"
},
"module": {
"id": "2e48da48-0f14-457c-92d4-c44cd68b3fdc",
"name": "X (Twitter)"
},
"cards": [
{
"x_twitter_001": {
"items": [
{
"label": "Username",
"value": "EstePrimeWorld",
"copy": true,
"isdate": false,
"islink": false
}
]
}
}
]
},
"meta": {
"environment": "production",
"timestamp": "2026-06-14T19:20:16.419Z"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I
Run one module immediately
